Package org.springframework.aot.generate

# Class GeneratedTypeReference

java.lang.Object
org.springframework.aot.hint.AbstractTypeReference
org.springframework.aot.generate.GeneratedTypeReference

All Implemented Interfaces:
  `Comparable<TypeReference>`, `TypeReference`

public final class GeneratedTypeReference extends AbstractTypeReference
A `TypeReference` for a generated type.

Since:
  6.0
Author:
  Stephane Nicoll

## Method Summary

Modifier and Type
Method
Description
`String`
`getCanonicalName()`
Return the canonical name of this type reference.
`protected boolean`
`isPrimitive()`
`static GeneratedTypeReference`
`of(org.springframework.javapoet.ClassName className)`

### Methods inherited from class org.springframework.aot.hint.AbstractTypeReference

`addPackageIfNecessary, compareTo, equals, getEnclosingType, getName, getPackageName, getSimpleName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### of

public static GeneratedTypeReference of(org.springframework.javapoet.ClassName className)

### getCanonicalName

public String getCanonicalName()
Description copied from interface: `TypeReference`
Return the canonical name of this type reference.

Returns:
  the canonical name

### isPrimitive

protected boolean isPrimitive()

Specified by:
  `isPrimitive` in class `AbstractTypeReference`